Debian Bug report logs - #387661
libuim3: should conflict with libuim0

version graph

Package: libuim3; Maintainer for libuim3 is (unknown);

Reported by: prahal@yahoo.com

Date: Fri, 15 Sep 2006 18:33:06 UTC

Severity: serious

Tags: fixed

Found in version uim/1:1.2.1-3

Fixed in versions 1:1.2.1-3.1, uim/1:1.2.1-4

Done: Masahito Omote <omote@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#387661; Package libuim3. Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <browaeys.alban@wanadoo.fr>:
New Bug report received and forwarded. Copy sent to Masahito Omote <omote@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alban Browaeys <browaeys.alban@wanadoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libuim3: should conflict with libuim0
Date: Fri, 15 Sep 2006 20:04:37 +0200
Package: libuim3
Version: 1:1.2.1-3
Severity: normal


I cannot upgrade while libuim0 is installed :
Spacchetto libuim3 (da .../libuim3_1%3a1.2.1-3_i386.deb) ...
dpkg: errore processando
/var/cache/apt/archives/libuim3_1%3a1.2.1-3_i386.deb (--unpack):
 tentata sovrascrittura di
 `/usr/lib/uim/plugin/libuim-custom-enabler.la', che si trova anche nel
 pacchetto libuim0

 "trying to overwrite ... which is also in libuim0."

 Greetings
 Alban


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-k7
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)

Versions of packages libuim3 depends on:
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libuim-data                  1:1.2.1-3   Data files for uim

libuim3 recommends no packages.

-- no debconf information



Changed Bug submitter from Alban Browaeys <browaeys.alban@wanadoo.fr> to prahal@yahoo.com. Request was from Alban browaeys <alban.browaeys@wanadoo.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#387661; Package libuim3. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. Full text and rfc822 format available.

Message #12 received at 387661@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: 387661@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libuim3: sarge to etch upgrade fail
Date: Thu, 5 Oct 2006 18:59:42 +0200
severity 387661 serious
quit

Hello I confirm this bug:
Sarge to etch upgrade fails with:

Unpacking libuim3 (from .../libuim3_1%3a1.2.1-3_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libuim3_1%3a1.2.1-3_i386.deb (--unpack):
 trying to overwrite `/usr/lib/uim/plugin/libuim-custom-enabler.la', which is also in package libuim0
dpkg-deb: subprocess paste killed by signal (Broken pipe)

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Severity set to `serious' from `normal' Request was from Bill Allombert <allomber@math.u-bordeaux.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masahito Omote <omote@debian.org>:
Bug#387661; Package libuim3. Full text and rfc822 format available.

Acknowledgement sent to cheney@soc.umass.edu:
Extra info received and forwarded to list. Copy sent to Masahito Omote <omote@debian.org>. Full text and rfc822 format available.

Message #19 received at 387661@bugs.debian.org (full text, mbox):

From: cheney@soc.umass.edu
To: 387661@bugs.debian.org
Date: Fri, 13 Oct 2006 20:01:58 -0400
Perhaps additional information.  libuim-data won't install either.  Below is the
output from apt.


************apt output********************************


root@lapchan:/home/eric #  apt-get -f install
Reading package lists... Done
Building dependency tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
  libuim-data libuim3
The following NEW packages will be installed:
  libuim-data libuim3
0 upgraded, 2 newly installed, 0 to remove and 12 not upgraded.
26 not fully installed or removed.
Need to get 0B/93.6kB of archives.
After unpacking 246kB of additional disk space will be used.
Do you want to continue [Y/n]?
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
(Reading database ... 147522 files and directories currently installed.)
Unpacking libuim-data (from .../libuim-data_1%3a1.2.1-3_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libuim-data_1%3a1.2.1-3_i386.deb
(--unpack):
 trying to overwrite `/usr/share/locale/fr/LC_MESSAGES/uim.mo', which is also in
package libuim0
Unpacking libuim3 (from .../libuim3_1%3a1.2.1-3_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libuim3_1%3a1.2.1-3_i386.deb
(--unpack):
 trying to overwrite `/usr/lib/uim/plugin/libuim-custom-enabler.la', which is
also in package libuim0
Errors were encountered while processing:
 /var/cache/apt/archives/libuim-data_1%3a1.2.1-3_i386.deb
 /var/cache/apt/archives/libuim3_1%3a1.2.1-3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)




Reply sent to Andreas Barth <aba@not.so.argh.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to prahal@yahoo.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 387661-done@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 387661-done@bugs.debian.org
Subject: NMU uploaded
Date: Sat, 14 Oct 2006 22:04:17 +0200
Version: 1:1.2.1-3.1

Hi,

I uploaded an NMU of your package.

Please see this as help to get the package into a releaseable condition for
etch.

Please find the used diff below.


Cheers,
Andi


diff -ur ../uim-1.2.1~/debian/changelog ../uim-1.2.1/debian/changelog
--- ../uim-1.2.1~/debian/changelog	2006-10-14 21:40:16.196150000 +0200
+++ ../uim-1.2.1/debian/changelog	2006-10-14 21:41:15.989166259 +0200
@@ -1,3 +1,10 @@
+uim (1:1.2.1-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * libuim3 conflicts with libuim0 for sarge-upgrades. Closes: #387661
+
+ -- Andreas Barth <aba@not.so.argh.org>  Sat, 14 Oct 2006 21:40:25 +0200
+
 uim (1:1.2.1-3) unstable; urgency=low
 
   * Add conflicts libuim1 and libuim3(<< 1.2.1-2) to libuim-data.
diff -ur ../uim-1.2.1~/debian/control ../uim-1.2.1/debian/control
--- ../uim-1.2.1~/debian/control	2006-10-14 21:40:16.178150000 +0200
+++ ../uim-1.2.1/debian/control	2006-10-14 21:42:32.379354225 +0200
@@ -45,7 +45,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, libuim-data (= ${source:Version})
-Conflicts: libuim-data (<< ${source:Version})
+Conflicts: libuim-data (<< ${source:Version}), libuim0
+Replaces: libuim0
 Description: Simple and flexible input method collection and library
  uim is a input method module library supporting various languages, which
  become a frontend for Anthy, SKK, Canna, T-Code, TUT-Code, Pinyin(Chinese
-- 
  http://home.arcor.de/andreas-barth/



Tags added: fixed Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Masahito Omote <omote@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to prahal@yahoo.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 387661-close@bugs.debian.org (full text, mbox):

From: Masahito Omote <omote@debian.org>
To: 387661-close@bugs.debian.org
Subject: Bug#387661: fixed in uim 1:1.2.1-4
Date: Thu, 19 Oct 2006 15:06:55 -0700
Source: uim
Source-Version: 1:1.2.1-4

We believe that the bug you reported is fixed in the latest version of
uim, which is due to be installed in the Debian FTP archive:

libuim-data_1.2.1-4_amd64.deb
  to pool/main/u/uim/libuim-data_1.2.1-4_amd64.deb
libuim-dev_1.2.1-4_amd64.deb
  to pool/main/u/uim/libuim-dev_1.2.1-4_amd64.deb
libuim3-dbg_1.2.1-4_amd64.deb
  to pool/main/u/uim/libuim3-dbg_1.2.1-4_amd64.deb
libuim3_1.2.1-4_amd64.deb
  to pool/main/u/uim/libuim3_1.2.1-4_amd64.deb
uim-anthy_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-anthy_1.2.1-4_amd64.deb
uim-applet-gnome_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-applet-gnome_1.2.1-4_amd64.deb
uim-canna_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-canna_1.2.1-4_amd64.deb
uim-common_1.2.1-4_all.deb
  to pool/main/u/uim/uim-common_1.2.1-4_all.deb
uim-el_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-el_1.2.1-4_amd64.deb
uim-fep_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-fep_1.2.1-4_amd64.deb
uim-gtk2.0_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-gtk2.0_1.2.1-4_amd64.deb
uim-m17nlib_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-m17nlib_1.2.1-4_amd64.deb
uim-prime_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-prime_1.2.1-4_amd64.deb
uim-qt_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-qt_1.2.1-4_amd64.deb
uim-skk_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-skk_1.2.1-4_amd64.deb
uim-utils_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-utils_1.2.1-4_amd64.deb
uim-xim_1.2.1-4_amd64.deb
  to pool/main/u/uim/uim-xim_1.2.1-4_amd64.deb
uim_1.2.1-4.diff.gz
  to pool/main/u/uim/uim_1.2.1-4.diff.gz
uim_1.2.1-4.dsc
  to pool/main/u/uim/uim_1.2.1-4.dsc
uim_1.2.1-4_all.deb
  to pool/main/u/uim/uim_1.2.1-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 387661@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Masahito Omote <omote@debian.org> (supplier of updated uim package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 20 Oct 2006 03:55:41 +0900
Source: uim
Binary: uim-utils uim-qt uim-anthy libuim-data uim-m17nlib libuim-dev uim-fep libuim3-dbg uim-canna uim-gtk2.0 uim-el uim uim-xim uim-applet-gnome uim-prime libuim3 uim-common uim-skk
Architecture: source amd64 all
Version: 1:1.2.1-4
Distribution: unstable
Urgency: low
Maintainer: Masahito Omote <omote@debian.org>
Changed-By: Masahito Omote <omote@debian.org>
Description: 
 libuim-data - Data files for uim
 libuim-dev - Development files for uim
 libuim3    - Simple and flexible input method collection and library
 libuim3-dbg - uim libraries and debugging symbols
 uim        - Simple and flexible input method collection and library
 uim-anthy  - Anthy plugin for uim
 uim-applet-gnome - GNOME applet for uim
 uim-canna  - Canna plugin for uim
 uim-common - Common files for uim
 uim-el     - Emacs frontend for uim
 uim-fep    - uim Front End Processor
 uim-gtk2.0 - GTK+2.x immodule for uim
 uim-m17nlib - m17nlib plugin for uim
 uim-prime  - PRIME plugin for uim
 uim-qt     - Qt 4.x immodule for uim
 uim-skk    - SKK plugin for uim
 uim-utils  - Utilities for uim
 uim-xim    - A bridge between uim and XIM
Closes: 342216 385581 387660 387661 391801
Changes: 
 uim (1:1.2.1-4) unstable; urgency=low
 .
   * Acknowledge the NMU fix.
     - libuim3 conflicts with libuim0 for sarge-upgrades. (closes: Bug#387661)
   * libuim-data conflicts with libuim0 for sarge-upgrades.
     (closes: Bug#387660, Bug#385581)
   * debian/patches/01_support_skk_alternatives.dpatch:
     - Patch for supporting alternatives of /usr/share/skk/SKK-JISYO.
       (closes: Bug#342216)
   * uim-el.emacsen-install: Use -no-site-file option. (closes: Bug#391801)
   * Update copyright to pass lintian check.
   * Transit to CDBS.
   * uim-anthy: module unregistration is moved from postrm to prerm.
   * uim-canna: Ditto.
   * uim-skk: Ditto.
   * uim-prime: Ditto.
   * uim-m17nlib: Ditto.
Files: 
 40d85e8fce3fc0f84bf9827ff134c93e 1241 libs optional uim_1.2.1-4.dsc
 761a5e5c1019fa8f01b06af424f815d3 32513 libs optional uim_1.2.1-4.diff.gz
 bf3649303788163a5711156ff185cb18 815700 utils optional uim-common_1.2.1-4_all.deb
 f6cb88b01a4ad90f9d1c9395e8bc72b2 1084 utils optional uim_1.2.1-4_all.deb
 f44a1ef412112b42bed84dca023c569a 73830 libs optional libuim3_1.2.1-4_amd64.deb
 27d73d0775bd0fd41b110cc9d920acde 29818 libs optional libuim-data_1.2.1-4_amd64.deb
 4c622d2eb4b3481bce6b586a603c0a88 93954 libdevel optional libuim-dev_1.2.1-4_amd64.deb
 1e94026fd120aaa9b4c4ae7fef57b364 1773372 libdevel optional libuim3-dbg_1.2.1-4_amd64.deb
 3692e07f48e29d0eec1b73585a6ec9d8 235500 x11 optional uim-gtk2.0_1.2.1-4_amd64.deb
 97736ef1304614af36177bf2c3fc6e71 287384 x11 optional uim-qt_1.2.1-4_amd64.deb
 0d6db55c45741f800442bf8284275cdb 242946 x11 optional uim-xim_1.2.1-4_amd64.deb
 4720540e383fad8e0453f692112d1887 13442 gnome optional uim-applet-gnome_1.2.1-4_amd64.deb
 593e397b824dfae4f0b4d2c039c3ad56 214828 utils optional uim-fep_1.2.1-4_amd64.deb
 0a7378c649555ac56fd32a93ccbda2c9 11594 utils optional uim-utils_1.2.1-4_amd64.deb
 df6d5566702f9c8ae1c616c45dbee9a1 22050 utils optional uim-anthy_1.2.1-4_amd64.deb
 e9037d3addbada14c483d7ea9f5fda2d 20496 utils optional uim-canna_1.2.1-4_amd64.deb
 4403a80b1ef39be9ec63c324dd575af0 60776 utils optional uim-skk_1.2.1-4_amd64.deb
 3a4b317d5a92f2482b1dc434cb5437e4 24794 utils optional uim-prime_1.2.1-4_amd64.deb
 453e42cd995a900972877177eca8a6cc 16542 utils optional uim-m17nlib_1.2.1-4_amd64.deb
 012c8a1d3cdd7c799b2f64ee98c86bf6 223076 utils optional uim-el_1.2.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFN94T4QYOB7JaXPERAqmQAJ0cexrMv/rpUuRUHyD8e4RBdcUnKwCfda5a
xBokQZOca064Iygm0iM3Qk8=
=LeNJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 03:47:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:18:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.